<apex:page showHeader="true" sidebar="true" Controller="PREPCatMonthlyIniUpdateController" tabStyle="PREP_Reports__tab" title="Category Monthly Initiative Update">

  <apex:form id="catMonthlyIniUpdate">
    <apex:pageBlock >
          <apex:outputPanel id="reports">
          <apex:outputLabel value="Initiative ID "> </apex:outputLabel>
          <apex:inputText value="{!iniID}"/>

          <apex:outputLabel value="Month "> </apex:outputLabel>
          <apex:selectList value="{!iniMonth}" multiselect="false" size="1">
                <apex:selectOption itemValue="01" itemLabel="01"/>
                <apex:selectOption itemValue="02" itemLabel="02"/>
                <apex:selectOption itemValue="03" itemLabel="03"/>
                <apex:selectOption itemValue="04" itemLabel="04"/>
                <apex:selectOption itemValue="05" itemLabel="05"/>
                <apex:selectOption itemValue="06" itemLabel="06"/>
                <apex:selectOption itemValue="07" itemLabel="07"/>
                <apex:selectOption itemValue="08" itemLabel="08"/>
                <apex:selectOption itemValue="09" itemLabel="09"/>
                <apex:selectOption itemValue="10" itemLabel="10"/>
                <apex:selectOption itemValue="11" itemLabel="11"/>
                <apex:selectOption itemValue="12" itemLabel="12"/>
            </apex:selectList>

          <apex:outputLabel value="Year "> </apex:outputLabel>
          <apex:inputText value="{!iniYear}"/>

          <apex:commandButton value="Retrieve" action="{!processRecords}" rerender="reports"/>


          <br/>
          <br/>

          <apex:outputPanel rendered="{!renderOutput}">

            <apex:pageBlock title="{!ini.Initiative_Name__c}" rendered="{!ini != null}">
              <apex:pageBlockSection >
                <apex:outputField label="Discipline" value="{!ini.Discipline__r.Name}"/>
                <apex:outputField label="BU SME" value="{!ini.BU_SME_1__r.Name}"/>
                <apex:outputField label="Category Manager" value="{!ini.Category_Manager__r.Name}"/>
                <apex:outputField label="BU SME" value="{!ini.BU_SME_2__r.Name}"/>
                <apex:outputField label="Category Specialist" value="{!ini.Category_Specialist__r.Name}"/>
                <apex:outputField label="BU SME" value="{!ini.BU_SME_3__r.Name}"/>
                <apex:outputField label="Technician" value="{!ini.Technician__r.Name}"/>
                <apex:outputField label="Category Risk Level" value="{!ini.Risk_Level__c}"/>
                <apex:outputField label="Business Analyst" value="{!ini.Technician__r.Name}"/>
                <apex:outputField label="Annual Spend ($/year)" value="{!baselineObj.Baseline_Spend_Dollar_Target__c}"/>
              </apex:pageBlockSection>
            </apex:pageBlock>

            <div style="float:left; width:60%">
              <apex:pageBlockTable value="{!tableRows}" var="row" rendered="{!isuObj != null}">
              <apex:column headerValue="Step" style="{!IF((row.stepNum ==''),"background-color: #EFF0F0;","")}"> <apex:outputLabel value="{!row.stepNum}"/></apex:column>
              <apex:column headerValue="Description" style="{!IF((row.stepNum ==''),"background-color: #EFF0F0;","")}"> <apex:outputLabel value="{!row.stepName}"/></apex:column>
              <apex:column headerValue="Baseline"  style="{!IF((row.stepNum ==''),"background-color: #EFF0F0;","")}"> <apex:outputLabel value="{!row.baseDate}"/></apex:column>
              <apex:column headerValue="Forecast"  style="{!IF((row.stepNum ==''),"background-color: #EFF0F0;","")}"> <apex:outputLabel value="{!row.isuDate}"/></apex:column>
              <apex:column headerValue="Status"  style="{!IF((row.stepNum ==''),"background-color: #EFF0F0;","")}" > <apex:outputText value="{!row.statusLight}" escape="false"/></apex:column>
              </apex:pageBlockTable>
            </div>

            <div style="float:left; width:40%">
              <apex:pageBlockTable value="{!checkboxRows}" var="cRow" rendered="{!ini != null}">
              <apex:column headerValue="Attribute" > <apex:outputLabel value="{!cRow.checkName}"/></apex:column>
              <apex:column headerValue="Description" > <apex:outputLabel value="{!cRow.checkStatus}"/></apex:column>
              </apex:pageBlockTable>
              <br/>
            </div>

            <div style="width:60%">
              <apex:pageBlockTable value="{!savRows}" var="sRow" rendered="{!ini != null}">
                <apex:column headerValue="Non-GSO Baseline Negotiated Savings Target ($)" > <apex:outputLabel value="${!sRow.bstDA}"/></apex:column>
                <apex:column headerValue="Non-GSO Baseline Negotiated Savings Target (%)" > <apex:outputLabel value="{!sRow.bstPer}%"/></apex:column>
                <apex:column headerValue="Non-GSO Actual Negotiated / Estimated Savings ($)" > <apex:outputLabel value="${!sRow.aeDA}"/></apex:column>
                <apex:column headerValue="Non-GSO Actual Negotiated / Estimated Savings (%)" > <apex:outputLabel value="{!sRow.aePer}%"/></apex:column>
                <apex:column headerValue="Status" > <apex:outputText value="{!sRow.sLight}" escape="false"/></apex:column>
              </apex:pageBlockTable>
            </div>

            <br/>

            <apex:pageBlock title="Comments" rendered="{!ISUCobj != null}">
              <apex:pageBlockSection >
                <apex:outputField label="Current Status" value="{!ISUCobj.Current_Status__c}"/>
                <apex:outputField label="Resourcing Status Comments" value="{!ISUCobj.Resourcing_Status_Comments__c}"/>
                <apex:outputField label="Market Conditions" value="{!ISUCobj.Market__c}"/>
                <apex:outputField label="Schedule Comments" value="{!isuObj.Schedule_Comments__c}"/>
                <br/>
                <apex:outputField label="Issues Concerns" value="{!ISUCobj.Issues_Concerns__c}"/>
              </apex:pageBlockSection>
            </apex:pageBlock>

          </apex:outputPanel>
      </apex:outputPanel>
    </apex:pageBlock>
  </apex:form>
</apex:page>